{
  lib,
  buildNpmPackage,
  fetchFromGitea,
}:

buildNpmPackage rec {
  pname = "simple-weather-card";
  version = "v0.8.5";

  src = fetchFromGitea {
    domain = "git.vimium.com";
    owner = "jordan";
    repo = "simple-weather-card";
    rev = version;
    hash = "sha256-/4iIUKP8TRJIUWKbqI8n6tWxkTXMWktVUbAQvGoaeZ0=";
  };

  npmDepsHash = "sha256-pKMi+cN3fTT3/35BeExI7CCFwgTjEhvIoIt2YPi08Os=";

  installPhase = ''
    runHook preInstall

    mkdir $out
    install -m0644 dist/simple-weather-card-bundle.js $out

    runHook postInstall
  '';

  passthru.entrypoint = "simple-weather-card-bundle.js";

  meta = with lib; {
    description = "Minimalistic weather card for Home Assistant";
    homepage = "https://github.com/kalkih/simple-weather-card";
    license = licenses.mit;
    maintainers = [ ];
  };
}
