{
  lib,
  buildNpmPackage,
  fetchFromGitea,
}:

buildNpmPackage rec {
  pname = "weather-radar-card";
  version = "v2.1.1";

  src = fetchFromGitea {
    domain = "git.vimium.com";
    owner = "jordan";
    repo = "weather-radar-card";
    rev = version;
    hash = "sha256-ASmtseR/E65zOQTNf1SKlNfFj6vmPckk0Us/QhUN/Wg=";
  };

  npmDepsHash = "sha256-JjwoYmEKLMdNjz/FrQThdeJzWi9aUL+01go65P/R8dI=";

  installPhase = ''
    runHook preInstall

    mkdir $out
    install -m0644 dist/weather-radar-card.js $out

    runHook postInstall
  '';

  passthru.entrypoint = "weather-radar-card.js";

  meta = with lib; {
    description = "A rain radar card using the tiled images from RainViewer";
    homepage = "https://github.com/Makin-Things/weather-radar-card";
    license = licenses.mit;
    maintainers = [ ];
  };
}
